Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.param
Interface ExplicitParameterSpecification

All Superinterfaces:
  ParameterSpecification

All Known Implementing Classes:
  AbstractExplicitParameterSpecification, NamedParameterSpecification, PositionalParameterSpecification

    public interface ExplicitParameterSpecification

extends ParameterSpecification

An additional contract for parameters which originate from parameters explicitly encountered in the source statement (HQL or native-SQL).

Method Summary
`int` | `getSourceColumn()` Retrieves the column number (within the `getSourceLine()`) where this parameter occurs.
`int` | `getSourceLine()` Retrieves the line number on which this parameter occurs in the source query.

Methods inherited from interface org.hibernate.param.ParameterSpecification
`bind, getExpectedType, renderDisplayInfo, setExpectedType`

Method Detail

### getSourceLine

    int getSourceLine()

  Retrieves the line number on which this parameter occurs in the source query.

  Returns:
    The line number.

### getSourceColumn

    int getSourceColumn()

  Retrieves the column number (within the `getSourceLine()`) where this parameter occurs.

  Returns:
    The column number.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.